Summary: A GUI text editor for systems with X and Motif.
Name: nedit
Version: 5.7
Release: 1
Source0: http://sourceforge.net/projects/nedit/files/nedit-source/%{name}-%{version}-src.tar.gz
Source1: nedit.desktop
Source2: nedit-icon.png
Patch0: nedit-5.7-security.patch
Patch3: nedit-5.7-utf8.patch
Patch5: nedit-5.7-nc-manfix.patch
Patch6: nedit-5.7-visfix.patch
Patch8: nedit-5.7-scroll.patch
URL: http://nedit.org
License: GPL
Group: Applications/Editors
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: patch

%description
NEdit is a GUI text editor for the X Window System and Motif. NEdit is
very easy to use, especially if you are familiar with the
Macintosh(TM) or Microsoft(TM) Windows(TM) style of interface.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0 -p1 -b .security
%patch3 -p1 -b .utf8
%patch5 -p1 -b .nc-manfix
%patch6 -p1 -b .visfix
%patch8 -p1 -b .scroll


%build
# Upstream really doesn't want you generating the manpages, but they forgot to
# include the manpages in 5.7. So generate them.
cd doc
make VERSION='NEdit 5.7' all
cd ..

make aix CC=xlc_r


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
chmod 0755 ${RPM_BUILD_ROOT}%{_mandir}/man1

mv source/nc source/nedit-client
cp source/nedit source/nedit-client ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

cp doc/nedit.man ${RPM_BUILD_ROOT}%{_mandir}/man1/nedit.1
mv doc/nc.man doc/nedit-client.man
cp doc/nedit-client.man ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps/nedit.png

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
chmod 0755 ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "{$RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc doc/nedit.doc README ReleaseNotes
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/icons/hicolor/48x48/apps/*
%config /etc/X11/applnk/Applications/nedit.desktop
/usr/bin/*


%changelog
* Tue Nov 27 2018 Michael Perzl <michael@perzl.org> - 5.7-1
- updated to version 5.7

* Wed Dec 28 2005 Michael Perzl <michael@perzl.org> - 5.5-1
- first version for AIX V5.1 and higher
